import 'zephir.dart';
import 'yaml.dart';
import 'xquery.dart';
import 'xml.dart';
import 'xl.dart';
import 'x86asm.dart';
import 'vim.dart';
import 'vhdl.dart';
import 'verilog.dart';
import 'vbscript.dart';
import 'vbscript-html.dart';
import 'vbnet.dart';
import 'vala.dart';
import 'typescript.dart';
import 'twig.dart';
import 'tp.dart';
import 'thrift.dart';
import 'tex.dart';
import 'tcl.dart';
import 'tap.dart';
import 'taggerscript.dart';
import 'swift.dart';
import 'subunit.dart';
import 'stylus.dart';
import 'step21.dart';
import 'stata.dart';
import 'stan.dart';
import 'sql.dart';
import 'sqf.dart';
import 'sml.dart';
import 'smalltalk.dart';
import 'smali.dart';
import 'shell.dart';
import 'scss.dart';
import 'scilab.dart';
import 'scheme.dart';
import 'scala.dart';
import 'sas.dart';
import 'rust.dart';
import 'ruleslanguage.dart';
import 'ruby.dart';
import 'rsl.dart';
import 'routeros.dart';
import 'roboconf.dart';
import 'rib.dart';
import 'reasonml.dart';
import 'r.dart';
import 'qml.dart';
import 'q.dart';
import 'python.dart';
import 'purebasic.dart';
import 'puppet.dart';
import 'protobuf.dart';
import 'properties.dart';
import 'prolog.dart';
import 'profile.dart';
import 'processing.dart';
import 'powershell.dart';
import 'pony.dart';
import 'plaintext.dart';
import 'php.dart';
import 'pgsql.dart';
import 'pf.dart';
import 'perl.dart';
import 'parser3.dart';
import 'oxygene.dart';
import 'openscad.dart';
import 'ocaml.dart';
import 'objectivec.dart';
import 'nsis.dart';
import 'nix.dart';
import 'nimrod.dart';
import 'nginx.dart';
import 'n1ql.dart';
import 'moonscript.dart';
import 'monkey.dart';
import 'mojolicious.dart';
import 'mizar.dart';
import 'mipsasm.dart';
import 'mercury.dart';
import 'mel.dart';
import 'maxima.dart';
import 'matlab.dart';
import 'mathematica.dart';
import 'markdown.dart';
import 'makefile.dart';
import 'lua.dart';
import 'lsl.dart';
import 'llvm.dart';
import 'livescript.dart';
import 'livecodeserver.dart';
import 'lisp.dart';
import 'less.dart';
import 'leaf.dart';
import 'ldif.dart';
import 'lasso.dart';
import 'kotlin.dart';
import 'julia.dart';
import 'julia-repl.dart';
import 'json.dart';
import 'jboss-cli.dart';
import 'javascript.dart';
import 'java.dart';
import 'isbl.dart';
import 'irpf90.dart';
import 'ini.dart';
import 'inform7.dart';
import 'hy.dart';
import 'http.dart';
import 'htmlbars.dart';
import 'hsp.dart';
import 'haxe.dart';
import 'haskell.dart';
import 'handlebars.dart';
import 'haml.dart';
import 'groovy.dart';
import 'gradle.dart';
import 'golo.dart';
import 'go.dart';
import 'gml.dart';
import 'glsl.dart';
import 'gherkin.dart';
import 'gcode.dart';
import 'gauss.dart';
import 'gams.dart';
import 'fsharp.dart';
import 'fortran.dart';
import 'flix.dart';
import 'fix.dart';
import 'excel.dart';
import 'erlang.dart';
import 'erlang-repl.dart';
import 'erb.dart';
import 'elm.dart';
import 'elixir.dart';
import 'ebnf.dart';
import 'dust.dart';
import 'dts.dart';
import 'dsconfig.dart';
import 'dos.dart';
import 'dockerfile.dart';
import 'dns.dart';
import 'django.dart';
import 'diff.dart';
import 'delphi.dart';
import 'dart.dart';
import 'd.dart';
import 'css.dart';
import 'csp.dart';
import 'cs.dart';
import 'crystal.dart';
import 'crmsh.dart';
import 'cpp.dart';
import 'cos.dart';
import 'coq.dart';
import 'coffeescript.dart';
import 'cmake.dart';
import 'clojure.dart';
import 'clojure-repl.dart';
import 'clean.dart';
import 'ceylon.dart';
import 'capnproto.dart';
import 'cal.dart';
import 'brainfuck.dart';
import 'bnf.dart';
import 'basic.dart';
import 'bash.dart';
import 'axapta.dart';
import 'awk.dart';
import 'avrasm.dart';
import 'autoit.dart';
import 'autohotkey.dart';
import 'aspectj.dart';
import 'asciidoc.dart';
import 'armasm.dart';
import 'arduino.dart';
import 'arcade.dart';
import 'applescript.dart';
import 'apache.dart';
import 'angelscript.dart';
import 'ada.dart';
import 'actionscript.dart';
import 'accesslog.dart';
import 'abnf.dart';
import '1c.dart';

var all = {
  '1c': lang1C,
  'abnf': abnf,
  'accesslog': accesslog,
  'actionscript': actionscript,
  'ada': ada,
  'angelscript': angelscript,
  'apache': apache,
  'applescript': applescript,
  'arcade': arcade,
  'arduino': arduino,
  'armasm': armasm,
  'asciidoc': asciidoc,
  'aspectj': aspectj,
  'autohotkey': autohotkey,
  'autoit': autoit,
  'avrasm': avrasm,
  'awk': awk,
  'axapta': axapta,
  'bash': bash,
  'basic': basic,
  'bnf': bnf,
  'brainfuck': brainfuck,
  'cal': cal,
  'capnproto': capnproto,
  'ceylon': ceylon,
  'clean': clean,
  'clojure-repl': clojureRepl,
  'clojure': clojure,
  'cmake': cmake,
  'coffeescript': coffeescript,
  'coq': coq,
  'cos': cos,
  'cpp': cpp,
  'crmsh': crmsh,
  'crystal': crystal,
  'cs': cs,
  'csp': csp,
  'css': css,
  'd': d,
  'dart': dart,
  'delphi': delphi,
  'diff': diff,
  'django': django,
  'dns': dns,
  'dockerfile': dockerfile,
  'dos': dos,
  'dsconfig': dsconfig,
  'dts': dts,
  'dust': dust,
  'ebnf': ebnf,
  'elixir': elixir,
  'elm': elm,
  'erb': erb,
  'erlang-repl': erlangRepl,
  'erlang': erlang,
  'excel': excel,
  'fix': fix,
  'flix': flix,
  'fortran': fortran,
  'fsharp': fsharp,
  'gams': gams,
  'gauss': gauss,
  'gcode': gcode,
  'gherkin': gherkin,
  'glsl': glsl,
  'gml': gml,
  'go': go,
  'golo': golo,
  'gradle': gradle,
  'groovy': groovy,
  'haml': haml,
  'handlebars': handlebars,
  'haskell': haskell,
  'haxe': haxe,
  'hsp': hsp,
  'htmlbars': htmlbars,
  'http': http,
  'hy': hy,
  'inform7': inform7,
  'ini': ini,
  'irpf90': irpf90,
  'isbl': isbl,
  'java': java,
  'javascript': javascript,
  'jboss-cli': jbossCli,
  'json': json,
  'julia-repl': juliaRepl,
  'julia': julia,
  'kotlin': kotlin,
  'lasso': lasso,
  'ldif': ldif,
  'leaf': leaf,
  'less': less,
  'lisp': lisp,
  'livecodeserver': livecodeserver,
  'livescript': livescript,
  'llvm': llvm,
  'lsl': lsl,
  'lua': lua,
  'makefile': makefile,
  'markdown': markdown,
  'mathematica': mathematica,
  'matlab': matlab,
  'maxima': maxima,
  'mel': mel,
  'mercury': mercury,
  'mipsasm': mipsasm,
  'mizar': mizar,
  'mojolicious': mojolicious,
  'monkey': monkey,
  'moonscript': moonscript,
  'n1ql': n1Ql,
  'nginx': nginx,
  'nimrod': nimrod,
  'nix': nix,
  'nsis': nsis,
  'objectivec': objectivec,
  'ocaml': ocaml,
  'openscad': openscad,
  'oxygene': oxygene,
  'parser3': parser3,
  'perl': perl,
  'pf': pf,
  'pgsql': pgsql,
  'php': php,
  'plaintext': plaintext,
  'pony': pony,
  'powershell': powershell,
  'processing': processing,
  'profile': profile,
  'prolog': prolog,
  'properties': properties,
  'protobuf': protobuf,
  'puppet': puppet,
  'purebasic': purebasic,
  'python': python,
  'q': q,
  'qml': qml,
  'r': r,
  'reasonml': reasonml,
  'rib': rib,
  'roboconf': roboconf,
  'routeros': routeros,
  'rsl': rsl,
  'ruby': ruby,
  'ruleslanguage': ruleslanguage,
  'rust': rust,
  'sas': sas,
  'scala': scala,
  'scheme': scheme,
  'scilab': scilab,
  'scss': scss,
  'shell': shell,
  'smali': smali,
  'smalltalk': smalltalk,
  'sml': sml,
  'sqf': sqf,
  'sql': sql,
  'stan': stan,
  'stata': stata,
  'step21': step21,
  'stylus': stylus,
  'subunit': subunit,
  'swift': swift,
  'taggerscript': taggerscript,
  'tap': tap,
  'tcl': tcl,
  'tex': tex,
  'thrift': thrift,
  'tp': tp,
  'twig': twig,
  'typescript': typescript,
  'vala': vala,
  'vbnet': vbnet,
  'vbscript-html': vbscriptHtml,
  'vbscript': vbscript,
  'verilog': verilog,
  'vhdl': vhdl,
  'vim': vim,
  'x86asm': x86Asm,
  'xl': xl,
  'xml': xml,
  'xquery': xquery,
  'yaml': yaml,
  'zephir': zephir,
};
